buildrootschalter/package/inadyn/S70inadyn
André Erdmann 5f617ffa17 sysv init scripts: fix == bashism
test a == b is not available in e.g. dash.

Command(s) used for editing:

  q=\[\"\'\]
  operand="${q}?[$]?[a-zA-Z0-9_\?]+${q}?"  ## doesn't detect ${VAR}
  test_expr="(\[\s+${operand}\s+)==(\s+${operand}\s+\])"

  find . -type f -name '[SK][0-9][0-9]*' | \
     xargs sed -r -e "s@${test_expr}@\1=\2@g" -i

Signed-off-by: André Erdmann <dywi@mailerd.de>
Acked-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2014-11-11 23:08:46 +01:00

37 lines
749 B
Bash

#!/bin/sh
#
# Start & stop the inadyn client
#
CONFIG=/etc/inadyn.conf
VR_INADYN=/var/run/inadyn
# check if CONFIG exists, print message & exit if it doesn't
[ ! -f $CONFIG ] && ( echo "The config file "$CONFIG" is missing...exiting now." && exit 2 )
# check if VR_INADYN exists, create it if not
[ ! -d $VR_INADYN ] && mkdir -p $VR_INADYN
case "$1" in
start)
echo "Starting inadyn: "
start-stop-daemon -S -x /usr/bin/inadyn
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo "Stopping inadyn: "
start-stop-daemon -q -K -x /usr/bin/inadyn
[ $? = 0 ] && echo "OK" || echo "FAIL"
rm -f /var/run/inadyn/inadyn.pid
;;
restart)
"$0" stop
"$0" start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?